package com.nasc.custom.service;

import com.nasc.custom.domain.*;

import java.util.List;
import java.util.Map;

/**
 * @Author: Yujianq
 * @Date: 2024/6/4 16:30
 * @Description: 审查事项记录
 * @return:
 */
public interface INascRecordService {

    /**
     * @Author: Yujianq
     * @Date: 2024/6/5 10:52
     * @Description: 新增打印日志
     * @param printLog
     * @return: int
     */
    int insertPrintLog(NascPrintLog printLog);

    /**
     * @Author: Yujianq
     * @Date: 2024/12/3 16:35
     * @Description: 新增受理记录
     * @param dealRecord
     * @return: int
     */
    int addDealRecord(NascDealRecord dealRecord);

    List<Map<String, Object>> selectDealRecordList(NascDealRecord dealRecord);

    /**
     * @Author: Yujianq
     * @Date: 2024/12/3 16:35
     * @Description: 新增人工核验记录
     * @param manualVerify
     * @return: int
     */
    int addManualVerify(NascManualVerify manualVerify);

    List<Map<String, Object>> selectManualVerifyList(String serialNumber, Integer dealStatus);

    /**
     * @Author: Yujianq
     * @Date: 2024/12/4 14:05
     * @Description: 核验记录提交
     * @param manualVerify
     * @return: int
     */
    int updateManualVerify(NascManualVerify manualVerify);

    /**
     * @Author: Yujianq
     * @Date: 2024/12/4 15:50
     * @Description: 根据ID获取所有人工审核信息
     * @param ids
     * @return: java.util.List<com.nasc.custom.domain.NascManualVerify>
     */
    List<NascManualVerify> getManualVerifyByIds(List<Long> ids);

    int insertCertificate(List<NascCertificate> certificateList);

    List<NascCertificate> selectCertificateList(NascCertificate certificate);

    List<Map<String, Object>> selectCertificateSendList(NascCertificateSend certificateSend);

    int addCertificateSend(List<NascCertificateSend> certificateSendList);

    int sendCertificate(List<NascCertificateSend> certificateSendList);

    Map<String, Object> getDealRecordById(Long id);

    int updateDealRecordStatus(NascDealRecord dealRecord);

    List<Map<String, Object>> selectPrintLogList(NascPrintLog printLog);
}
